Debian Bug report logs - #207849
O: fpm -- Password Manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Brian May <bam@debian.org>

Date: Sat, 30 Aug 2003 03:03:02 UTC

Severity: normal

Fixed in version fpm/0.56-1

Done: Manuel Estrada Sainz <ranty@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manuel Estrada Sainz <ranty@debian.org>, wnpp@debian.org:
Bug#207849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@debian.org>:
New Bug report received and forwarded. Copy sent to Manuel Estrada Sainz <ranty@debian.org>, wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: fpm
Date: Sat, 30 Aug 2003 02:45:52 +0000
Package: wnpp
Version: unavailable; reported 2003-08-30
Severity: normal


Unfortunately I am currently maintaining too many packages
to keep track of, and do not have time to tack over the role
of being the upstream & Debian maintainer of this package.

(upstream is dead).

It would appear that the co-maintainer is in a similar position.

I would expect that the release critical bugs against fpm would
be easy to fix given the time.

The idea behind fpm is a pretty good one though, and I don't know
of any other alternative to it.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux snoopy 2.4.21 #1 Tue Aug 26 17:39:08 EST 2003 i686
Locale: LANG=C, LC_CTYPE=




Changed Bug title. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#207849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #12 received at 207849@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: 207849@bugs.debian.org
Subject: zsafe
Date: Mon, 8 Sep 2003 11:55:38 +0200 (CEST)
zsafe is a simmilar programm like fpm. And it's maintained upstream.
However there's no Debian maintainer.
*t




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#207849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrey Lebedev <andrey@micro.lt>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #17 received at 207849@bugs.debian.org (full text, mbox):

From: Andrey Lebedev <andrey@micro.lt>
To: 207849@bugs.debian.org
Subject: Ked Password Manager
Date: Mon, 15 Sep 2003 19:03:19 +0300
FYI: I'm writing a replacement for fpm - Ked Password Manager
(http://kedpm.sourceforge.net). In current stage it has almost every
feature of fpm, has both GUI and CLI, and fully fpm database compatible.

It written in python, all other dependencies are already in Debian. In
fact kedpm is developed on Debian system, so there should be very little
effort needed to package it.

-- 
Andrey Lebedev aka -.- . -.. -.. . .-.
Software engineer
UAB Mikromarketingas (http://micro.lt)
Homepage: http://micro.lt/~andrey/
Jabber ID: kedder@jabber.ru




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#207849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ranty@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #22 received at 207849@bugs.debian.org (full text, mbox):

From: Manuel Estrada Sainz <ranty@debian.org>
To: Brian May <bam@debian.org>, 207849@bugs.debian.org
Subject: Re: Bug#207849: O: fpm
Date: Sun, 28 Sep 2003 01:09:17 +0200
On Sat, Aug 30, 2003 at 02:45:52AM +0000, Brian May wrote:
> Package: wnpp
> Version: unavailable; reported 2003-08-30
> Severity: normal
> 
> 
> Unfortunately I am currently maintaining too many packages
> to keep track of, and do not have time to tack over the role
> of being the upstream & Debian maintainer of this package.
> 
> (upstream is dead).
> 
> It would appear that the co-maintainer is in a similar position.

 I am until next Monday. But after that I'll have more time.

 I'll adopt it as soon as I get it building and fix the most fixable
 bugs.
 
> I would expect that the release critical bugs against fpm would
> be easy to fix given the time.

 We'll see.

> The idea behind fpm is a pretty good one though, and I don't know
> of any other alternative to it.

 I also plan to implement some of the ideas of http://dpasman.sf.net/
 but that will probably take much longer, in the mean time I'll adopt
 fpm and try to keep it in shape.

 Thanks for maintaining fpm until now

 	Manuel

-- 
--- Manuel Estrada Sainz <ranty@debian.org>
                         <ranty@bigfoot.com>
			 <ranty@users.sourceforge.net>
------------------------ <manuel.estrada@hispalinux.es> -------------------
Let us have the serenity to accept the things we cannot change, courage to
change the things we can, and wisdom to know the difference.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#207849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #27 received at 207849@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: Manuel Estrada Sainz <ranty@debian.org>
Cc: 207849@bugs.debian.org
Subject: Re: Bug#207849: O: fpm
Date: Sun, 28 Sep 2003 09:17:58 +1000
On Sun, Sep 28, 2003 at 01:09:17AM +0200, Manuel Estrada Sainz wrote:
>  I am until next Monday. But after that I'll have more time.
> 
>  I'll adopt it as soon as I get it building and fix the most fixable
>  bugs.

Thanks.

>  I also plan to implement some of the ideas of http://dpasman.sf.net/
>  but that will probably take much longer, in the mean time I'll adopt
>  fpm and try to keep it in shape.

Sounds good.

Also fpm upstream has now revived (see other BTS reports), and
there has now been a new upstream release of fpm.

The task of marging the two versions together could be... well...
interesting ;-).
-- 
Brian May <bam@debian.org>



Reply sent to Manuel Estrada Sainz <ranty@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian May <bam@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 207849-close@bugs.debian.org (full text, mbox):

From: Manuel Estrada Sainz <ranty@debian.org>
To: 207849-close@bugs.debian.org
Subject: Bug#207849: fixed in fpm 0.56-1
Date: Sun, 28 Sep 2003 08:47:30 -0400
Source: fpm
Source-Version: 0.56-1

We believe that the bug you reported is fixed in the latest version of
fpm, which is due to be installed in the Debian FTP archive:

fpm_0.56-1.diff.gz
  to pool/main/f/fpm/fpm_0.56-1.diff.gz
fpm_0.56-1.dsc
  to pool/main/f/fpm/fpm_0.56-1.dsc
fpm_0.56-1_i386.deb
  to pool/main/f/fpm/fpm_0.56-1_i386.deb
fpm_0.56.orig.tar.gz
  to pool/main/f/fpm/fpm_0.56.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 207849@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manuel Estrada Sainz <ranty@debian.org> (supplier of updated fpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 28 Sep 2003 11:20:03 +0200
Source: fpm
Binary: fpm
Architecture: source i386
Version: 0.56-1
Distribution: unstable
Urgency: low
Maintainer: Manuel Estrada Sainz <ranty@debian.org>
Changed-By: Manuel Estrada Sainz <ranty@debian.org>
Description: 
 fpm        - Password Manager
Closes: 161596 197724 204431 206378 206380 207849
Changes: 
 fpm (0.56-1) unstable; urgency=low
 .
   * New Maintainer. (Closes:  #207849)
   * Update src/md5.c:X(a) on bigendian to fit gcc's new tastes.
     (Closes: #204431)
   * Polished the build system. (Closes: #197724)
   * Update URL in about dialog. (Closes: #206380)
   * Fix big password handling. (Closes: #206378,#161596)
     - Don't append junk to max sized passwords.
     - Change max password size from 24 to 100
     - Warn when truncating long passwords.
Files: 
 b33c80d65edbb64c14f1ffdfab0653df 601 gnome optional fpm_0.56-1.dsc
 c49040a04714d65ae0048a503ce18808 100197 gnome optional fpm_0.56.orig.tar.gz
 ad89c3edb16c1595e1094804de083521 251147 gnome optional fpm_0.56-1.diff.gz
 704a1e036ce5ae224161b0af461daaf1 74444 gnome optional fpm_0.56-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/dtLAuTFz5I56lGcRAqAGAJ0fEaP/QTNdOlY31NVSQCHn7BVTwwCeKISB
cc0YA1oAS6ZUWkzo2QAJyZE=
=qKxD
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:24:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.